package cc.smtweb.system.bpm.web.engine.model.flow.listcard.single;

import cc.smtweb.framework.core.common.R;
import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.system.bpm.web.engine.dynPage.AbstractDynPageHandler;
import cc.smtweb.system.bpm.web.engine.flow.FlowInstance;
import cc.smtweb.system.bpm.web.engine.flow.FlowListener;
import cc.smtweb.system.bpm.web.engine.flow.entity.Task;

import java.util.List;

/**
 * Created by Akmm at 2022-09-01 15:03
 * 流程流转
 */
public class FlowTransHandler extends AbstractDynPageHandler implements FlowListener{
    //流程id
    protected long billId;
    //任务id
    protected long taskId;
    protected FlowInstance flowInstance;

    private void loadFlowInstance() {
        if (flowInstance == null) {
            billId = params.readLong("id");
            taskId = params.readLong("taskId");
            flowInstance = FlowInstance.createById(us, this, billId, taskId);
        }
    }

    public R submit() {
        loadFlowInstance();
        flowInstance.submit();
        return R.success();
    }

    
}
